FLANG

Public Member Functions | List of all members
Fortran::semantics::ParseTreeAnalyzer Class Reference

## Public Member Functions
| ParseTreeAnalyzer (ParseTreeAnalyzer &&that)=default
| ParseTreeAnalyzer (SemanticsContext &context)
template<typename A >
constexpr bool | Pre (const A &)
template<typename A >
constexpr void | Post (const A &)
template<typename A >
bool | Pre (const parser::Statement< A > &statement)
bool | Pre (const parser::ProgramUnit &)
bool | Pre (const parser::InternalSubprogram &)
bool | Pre (const parser::ModuleSubprogram &)
bool | Pre (const parser::AssociateConstruct &associateConstruct)
bool | Pre (const parser::BlockConstruct &blockConstruct)
bool | Pre (const parser::ChangeTeamConstruct &changeTeamConstruct)
bool | Pre (const parser::CriticalConstruct &criticalConstruct)
bool | Pre (const parser::DoConstruct &doConstruct)
bool | Pre (const parser::IfConstruct &ifConstruct)
bool | Pre (const parser::IfConstruct::ElseIfBlock &)
bool | Pre (const parser::IfConstruct::ElseBlock &)
bool | Pre (const parser::CaseConstruct &caseConstruct)
bool | Pre (const parser::CaseConstruct::Case &)
bool | Pre (const parser::SelectRankConstruct &selectRankConstruct)
bool | Pre (const parser::SelectRankConstruct::RankCase &)
bool | Pre (const parser::SelectTypeConstruct &selectTypeConstruct)
bool | Pre (const parser::SelectTypeConstruct::TypeCase &)
bool | Pre (const parser::WhereConstruct &whereConstruct)
bool | Pre (const parser::ForallConstruct &forallConstruct)
void | Post (const parser::AssociateConstruct &associateConstruct)
void | Post (const parser::BlockConstruct &blockConstruct)
void | Post (const parser::ChangeTeamConstruct &changeTeamConstruct)
void | Post (const parser::CriticalConstruct &criticalConstruct)
void | Post (const parser::DoConstruct &doConstruct)
void | Post (const parser::IfConstruct &ifConstruct)
void | Post (const parser::CaseConstruct &caseConstruct)
void | Post (const parser::SelectRankConstruct &selectRankConstruct)
void | Post (const parser::SelectTypeConstruct &selectTypeConstruct)
void | Post (const parser::WhereConstruct &whereConstruct)
void | Post (const parser::ForallConstruct &forallConstruct)
template<typename FIRST , typename CONSTRUCT , typename STMT >
void | CheckOptionalName (const char *constructTag, const CONSTRUCT &a, const parser::Statement< STMT > &stmt)
void | Post (const parser::BlockData &blockData)
void | Post (const parser::FunctionSubprogram &functionSubprogram)
void | Post (const parser::InterfaceBlock &interfaceBlock)
void | Post (const parser::Module &module)
void | Post (const parser::SeparateModuleSubprogram &separateModuleSubprogram)
void | Post (const parser::MainProgram &mainProgram)
void | Post (const parser::Submodule &submodule)
void | Post (const parser::SubroutineSubprogram &subroutineSubprogram)
void | Post (const parser::DerivedTypeDef &derivedTypeDef)
void | Post (const parser::LabelDoStmt &labelDoStmt)
void | Post (const parser::GotoStmt &gotoStmt)
void | Post (const parser::ComputedGotoStmt &computedGotoStmt)
void | Post (const parser::ArithmeticIfStmt &arithmeticIfStmt)
void | Post (const parser::AssignStmt &assignStmt)
void | Post (const parser::AssignedGotoStmt &assignedGotoStmt)
void | Post (const parser::AltReturnSpec &altReturnSpec)
void | Post (const parser::ErrLabel &errLabel)
void | Post (const parser::EndLabel &endLabel)
void | Post (const parser::EorLabel &eorLabel)
void | Post (const parser::Format &format)
void | Post (const parser::CycleStmt &cycleStmt)
void | Post (const parser::ExitStmt &exitStmt)
const std::vector< UnitAnalysis > & | ProgramUnits () const
SemanticsContext & | ErrorHandler ()

The documentation for this class was generated from the following file:

- lib/Semantics/resolve-labels.cpp